### Method

# Snapd Client find_section_sync

deprecated: 1.64 since: 1.7

#### Declaration [src]

    GPtrArray*
    snapd_client_find_section_sync (
      SnapdClient* client,
      SnapdFindFlags flags,
      const gchar* section,
      const gchar* query,
      gchar** suggested_currency,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Find snaps in the store.

Available since: 1.7

Deprecated since: 1.64

Use snapd_client_find_category_sync().

#### Parameters

`flags`

  Type: `SnapdFindFlags`

  A set of `SnapdFindFlags` to control how the find is performed.

`section`

  Type: `const gchar*`

  Store section to search in or `NULL` to search in all sections.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`query`

  Type: `const gchar*`

  Query string to send or `NULL` to get all snaps from the given section.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`suggested_currency`

  Type: `gchar**`

  Location to store the ISO 4217 currency that is suggested to purchase with.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `None`

An array of `SnapdSnap` or `NULL` on error.

The caller of the method takes ownership of the returned data container, but not the data inside it.